Bug 461643 - "warning: hp-makeuri should not be run as root." in /var/log/messages
"warning: hp-makeuri should not be run as root." in /var/log/messages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-09-09 13:13 EDT by Tom London
Modified: 2009-03-13 14:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.8.12-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 09:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-09-09 13:13:13 EDT
Description of problem:
See the following in /var/log/messages

Sep  9 09:23:36 tlondon kernel: usblp0: removed
Sep  9 09:23:38 tlondon python: hp-makeuri[5024]: warning: hp-makeuri should not be run as root.

System is up to date rawhide.

Senario (I think) is printing from kvm WinXP guest.

WinXP printer is set up via "http://10.0.2.2:631/printers/HP1300

Version-Release number of selected component (if applicable):
hplip-2.8.7-1.fc10.i386

How reproducible:
Believe occurs each time I print

Steps to Reproduce:
1. setup kvm/WinXP guest to print through 'http://10.0.2.2:631/printers/HP1300'
2. print in kvm/WinXP guest
3. watch log ....
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2008-09-11 12:12:13 EDT
It'll be every time you connect the printer, not every time you print.  Changing component to hal-cups-utils.
Comment 2 Tim Waugh 2008-11-04 08:32:53 EST
As far as I can tell this warning is just wrong.
Comment 3 Bug Zapper 2008-11-25 22:00:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tom London 2009-01-13 09:31:20 EST
I haven't seen this message for quite some time.

I'm running rawhide, so hard for me to test with F10.

Closing as "rawhide".
Comment 5 Fedora Update System 2009-03-13 14:34:32 EDT
hplip-2.8.12-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.